[POST] .../v1/connectedintegrationsetting/edit
Edits settings connected integration. Use this method to update one or more settings for the same connected integration after loading the current settings with ConnectedIntegrationSetting/Get. The request body is a JSON array because this endpoint updates settings in batches; every item must contain key and value, value can be an empty string to clear the stored setting value and all items must refer to the same connected_integration_id or the same deprecated integration_key and the same firm_id. connected_integration_id takes priority over integration_key when it is provided and firm_id is required for firm-owned integration settings. The current request user must have integration parameters edit access; missing body, an empty array, missing key/value, mixed connected_integration_id, mixed integration_key, mixed firm_id, unresolved integration, denied access, external update notification failures and database failures are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| connected_integration_id | String | Optional | Connected integration ID. Takes precedence over integration_key when both fields are provided. |
| firm_id | Int64 | Optional | Company ID. |
| key | String | Required | Integration setting key, which is the system name. |
| value | String | Required | Integration setting value. Required; an empty string clears the stored setting value. |
Request Example
[
{
"key": "order_from_id",
"value": "15",
"connected_integration_id": "c98210addc4f4e1bb50b17a8c1299a37",
"firm_id": 1
},
{
"key": "price_type",
"value": "2",
"connected_integration_id": "c98210addc4f4e1bb50b17a8c1299a37",
"firm_id": 1
}
]
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
Response Example
{
"ok": true,
"result": null
}